org.richfaces.component

## Class UIChart

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractChart
      - - org.richfaces.component.UIChart

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, CoreProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIChart
      extends AbstractChart
      implements javax.faces.component.behavior.ClientBehaviorHolder, CoreProps

  A component used to generate visual charts.
  Author:
    Lukas Macko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIChart.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIChart()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlotClickListener(PlotClickListener listener)`
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHooks()` A set of JavaScript functions to modify the plotting process.
    `String` | `getOnmouseout()` Complementary event for plothover fired when mouse leaves the chart grid.
    `String` | `getOnplotclick()` Javascript handler function for plotclick event called for each series.
    `String` | `getOnplothover()` Javascript handler function for plothover event for each series.
    `javax.el.MethodExpression` | `getPlotClickListener()` Server-side listener for plotclick event.
    `PlotClickListener[]` | `getPlotClickListeners()`
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `boolean` | `isZoom()` Attribute define whether zoom is enabled.
    `void` | `removePlotClickListener(PlotClickListener listener)`
    `void` | `setHooks(String hooks)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnplotclick(String onplotclick)`
    `void` | `setOnplothover(String onplothover)`
    `void` | `setPlotClickListener(javax.el.MethodExpression plotClickListener)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setZoom(boolean zoom)`

    - ### Methods inherited from class org.richfaces.component.AbstractChart

      `broadcast`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIChart

          public UIChart()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getHooks

          public String getHooks()

      Description copied from class: `AbstractChart`
      A set of JavaScript functions to modify the plotting process.
      Specified by:
        `getHooks` in class `AbstractChart`

    - #### setHooks

          public void setHooks(String hooks)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from class: `AbstractChart`
      Complementary event for plothover fired when mouse leaves the chart grid.
      Specified by:
        `getOnmouseout` in class `AbstractChart`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnplotclick

          public String getOnplotclick()

      Description copied from class: `AbstractChart`
      Javascript handler function for plotclick event called for each series. You can setup handler for particular series only. See series tag attribute onplotclick.
      Specified by:
        `getOnplotclick` in class `AbstractChart`

    - #### setOnplotclick

          public void setOnplotclick(String onplotclick)

    - #### getOnplothover

          public String getOnplothover()

      Description copied from class: `AbstractChart`
      Javascript handler function for plothover event for each series. You can setup handler for particular series only. See series tag attribute onplothover.
      Specified by:
        `getOnplothover` in class `AbstractChart`

    - #### setOnplothover

          public void setOnplothover(String onplothover)

    - #### getPlotClickListener

          public javax.el.MethodExpression getPlotClickListener()

      Description copied from class: `AbstractChart`
      Server-side listener for plotclick event.
      Specified by:
        `getPlotClickListener` in class `AbstractChart`

    - #### setPlotClickListener

          public void setPlotClickListener(javax.el.MethodExpression plotClickListener)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### isZoom

          public boolean isZoom()

      Description copied from class: `AbstractChart`
      Attribute define whether zoom is enabled. To reset zoom you can use JS API $('#id').chart('resetZoom') Attribute is currently supported by line chart.
      Specified by:
        `isZoom` in class `AbstractChart`

    - #### setZoom

          public void setZoom(boolean zoom)

    - #### addPlotClickListener

          public void addPlotClickListener(PlotClickListener listener)

    - #### getPlotClickListeners

          public PlotClickListener[] getPlotClickListeners()

    - #### removePlotClickListener

          public void removePlotClickListener(PlotClickListener listener)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.